
From: "Martin J. Bligh" <mbligh@aracnet.com>

I'd prefer we renamed this to page_to_nid() before anyone starts using it. 
This fits with the naming convention of everything else (pfn_to_nid, etc). 
Nobody uses it right now - I grepped the whole tree.


---

 25-akpm/include/linux/mm.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/mm.h~rename-page_to_nodenum include/linux/mm.h
--- 25/include/linux/mm.h~rename-page_to_nodenum	2004-04-09 21:04:40.306025448 -0700
+++ 25-akpm/include/linux/mm.h	2004-04-09 21:04:40.310024840 -0700
@@ -351,7 +351,7 @@ static inline unsigned long page_zonenum
 {
 	return (page->flags >> NODEZONE_SHIFT) & (~(~0UL << ZONES_SHIFT));
 }
-static inline unsigned long page_nodenum(struct page *page)
+static inline unsigned long page_to_nid(struct page *page)
 {
 	return (page->flags >> (NODEZONE_SHIFT + ZONES_SHIFT));
 }

_
